Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.Space.Type

class petsc4py.PETSc.Space.Type

  Bases: `object`

  The function space types.

  Attributes Summary

  `POINT` | Object `POINT` of type `str`
  `POLYNOMIAL` | Object `POLYNOMIAL` of type `str`
  `PTRIMMED` | Object `PTRIMMED` of type `str`
  `SUBSPACE` | Object `SUBSPACE` of type `str`
  `SUM` | Object `SUM` of type `str`
  `TENSOR` | Object `TENSOR` of type `str`
  `WXY` | Object `WXY` of type `str`

  Attributes Documentation

  POINT: str = POINT

    Object `POINT` of type `str`

  POLYNOMIAL: str = POLYNOMIAL

    Object `POLYNOMIAL` of type `str`

  PTRIMMED: str = PTRIMMED

    Object `PTRIMMED` of type `str`

  SUBSPACE: str = SUBSPACE

    Object `SUBSPACE` of type `str`

  SUM: str = SUM

    Object `SUM` of type `str`

  TENSOR: str = TENSOR

    Object `TENSOR` of type `str`

  WXY: str = WXY

    Object `WXY` of type `str`

  __init__()
  classmethod __new__(*args, **kwargs)